Bug 1331566 - weasyprint should depend on python3-weasyprint, not python-weasyprint
Summary: weasyprint should depend on python3-weasyprint, not python-weasyprint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: weasyprint
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-28 20:10 UTC by Andrew Engelbrecht
Modified: 2018-12-22 20:00 UTC (History)
5 users (show)

Fixed In Version: weasyprint-0.22-14.fc30 weasyprint-0.22-14.fc29 weasyprint-0.22-14.fc28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-16 04:22:11 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1631306 0 unspecified CLOSED weasyprint: Remove (sub)packages from Fedora 30+: python2-weasyprint 2021-02-22 00:41:40 UTC

Internal Links: 1631306

Description Andrew Engelbrecht 2016-04-28 20:10:41 UTC
Description of problem:

After installing weasyprint, it does not run because it depends on the wrong packages.

Version-Release number of selected component (if applicable):

0.22-2.fc23

How reproducible:

Always

Steps to Reproduce:
1. # dnf install weasyprint
2. $ weasyprint
3.

Actual results:

I get a traceback due to missing dependencies

Expected results:

'dnf install weasyprint' should install python3-weasyprint instead of python-weasyprint as a dependency

Additional info:

Installing python3-weasyprint manually works around the issue.

Comment 1 Fedora End Of Life 2016-11-25 07:30:11 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Thomas Moschny 2016-11-25 09:42:19 UTC
Still true on F24.

Comment 3 Fedora End Of Life 2017-07-25 20:38:26 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Felix Schwarz 2017-07-27 09:09:41 UTC
Still a problem in rawhide ("F27").

Comment 5 Jan Kurik 2017-08-15 09:32:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 6 Miro Hrončok 2018-10-09 18:21:04 UTC
Fixed this in rawhide by removing python2 subpackage entirely.

Comment 7 Ben Cotton 2018-11-27 14:06:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2018-11-30 23:09:29 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Audrey Yeena Toskin 2018-12-07 01:31:27 UTC
The issue *still* applies in Fedora 29. This bug is about two and a half years old now. Eric Smith, if you see this and aren't interested in maintaining weasyprint anymore, I'd be happy to take over the package for you :)

Comment 10 Miro Hrončok 2018-12-07 08:36:46 UTC
Andrew, feel free to send a PR and link it here, I'd merge it as a provenpackager.

Comment 11 Audrey Yeena Toskin 2018-12-11 03:12:55 UTC
Miro, I didn't see your comment till after the weekend. But looks like you beat me to it. <https://src.fedoraproject.org/rpms/weasyprint/c/80c2052aa97bca5ec5d0d868d18c1c6de0919e57?branch=master> So, seems like we should be good, once you push the update to Bodhi. Thanks!

I'd be okay with closing this ticket now, provided you (or someone) remembers to push the update :)

Comment 12 Miro Hrončok 2018-12-11 06:49:09 UTC
Not really, this commit removes the python2 package and cannot go to an already released Fedora:

https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_multiple_python_runtimes

> Mirroring the policy for regular packages, the Python-version-specific subpackages of your package MUST NOT be removed in a release branch of Fedora.

Comment 13 Audrey Yeena Toskin 2018-12-12 04:42:19 UTC
I guess if you want to be a stickler for following the packaging guidelines, then maybe for existing branched releases of Fedora, you could let the python2 subpackage continue to exist, but still add the `Requires: python3-weasyprint` tag?

I mean, weasyprint is the the only package that relies on python2-weasyprint. BUT weasyprint actually doesn't even work when using Python2... Based on the age of this ticket, weasyprint has apparently needed python3-weasyprint *since 2016*, and does not work without it. I cannot imagine anyone in the Fedora leadership would insist that you should continue to ship a *broken package* for the sake of following packaging guidelines against switching runtimes within a release.

Comment 14 Miro Hrončok 2018-12-12 06:37:59 UTC
Yes, it should be fixed. Should not be shipped broken.

Yet the fix is not to backport that commit.

The fix is shorter than this comment, so I've decided to push it.

https://src.fedoraproject.org/rpms/weasyprint/c/b5e877e09cf802274a811431e64835f6aa89f61f?branch=f29

Comment 15 Fedora Update System 2018-12-12 06:46:05 UTC
weasyprint-0.22-14.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-45bb01b410

Comment 17 Fedora Update System 2018-12-12 07:02:32 UTC
weasyprint-0.22-14.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-015fcb2ec9

Comment 18 Fedora Update System 2018-12-13 03:36:05 UTC
weasyprint-0.22-14.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-45bb01b410

Comment 19 Fedora Update System 2018-12-13 03:43:14 UTC
weasyprint-0.22-14.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-015fcb2ec9

Comment 20 Fedora Update System 2018-12-16 04:22:11 UTC
weasyprint-0.22-14.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-12-22 20:00:29 UTC
weasyprint-0.22-14.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.